Skip Menu |
 

This queue is for tickets about the CGI-SSI CPAN distribution.

Report information
The Basics
Id: 26822
Status: resolved
Priority: 0/
Queue: CGI-SSI

People
Owner: Nobody in particular
Requestors: colin.fine [...] pace.co.uk
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 0.90
Fixed in: (no value)



Subject: _get_ua makes invalid call to LWP::UserAgent::new
Download (untitled) / with headers
text/plain 605b
CGI::SSI.pm line 308 reads my $ua = LWP::UserAgent->new($ENV{HTTP_USER_AGENT} || ()); But LWP::UserAgent::new (like HTTP::Cookies::new) takes a hash, not a list of values. This can easily be fixed by code like my %conf; $conf{agent} = $ENV{HTTP_USER_AGENT} if $ENV{HTTP_USER_AGENT} my $ua = LWP::UserAgent->new(%conf); but it is not serious because LWP::UserAgent::new has a default agent anyway. Furthermore, it is not important because _include_virtual does not, and cannot, work with remote URL's (see separate RT) - for which reason I doubt that this offending code has ever been used at all.
resolved in 0.91. Thanks!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.